Subject: bug#44581: closed (Re: bug#44581: 28.0.50; undo comment-region error)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 15 Nov 2020 13:33:01 +0000

Your bug report

#44581: 28.0.50; undo comment-region error

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44581: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44581
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44581: 28.0.50; undo comment-region error
From: Alan Mackenzie <[email-masked]>
To: Mattias Engdegård <[email-masked]>
Cc: [email-masked]
Date: Sun, 15 Nov 2020 13:31:59 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello again, Mattias.

On Sun, Nov 15, 2020 at 13:30:28 +0100, Mattias Engdegård wrote:
> 15 nov. 2020 kl. 13.20 skrev Alan Mackenzie <[email-masked]>:

> > Maybe I need the same change in uncomment-region-default too, but
> > I'm not sure.

> It seems more difficult to provoke uncomment-region to change text
> outside the region. Until we have a concrete example, better leave
> that code unchanged.

Yes, I agree.

> > Here is a provisional patch, based on the master branch (although the
> > fix should probably go into emacs-27).  Could you test it, please.

> Seems to work nicely. Thank you!

Thanks!  I've committed it to the emacs-27 branch, and I'm closing the
bug with this post.

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: 28.0.50; undo comment-region error
From: Mattias Engdegård <[email-masked]>
To: [email-masked]
Date: Wed, 11 Nov 2020 17:19:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

In *scratch*, write

abc def

Mark 'abc', run 'comment-region', then 'undo'.
This results in the error 

primitive-undo: Changes to be undone by function different from announced

with a backtrace if debug-on-error is set.